Package org.pushingpixels.substance.api

# Enum Class SubstanceConstants.ScrollPaneButtonPolicyKind

java.lang.Object
java.lang.Enum<SubstanceConstants.ScrollPaneButtonPolicyKind>
org.pushingpixels.substance.api.SubstanceConstants.ScrollPaneButtonPolicyKind

All Implemented Interfaces:
  `Serializable`, `Comparable<SubstanceConstants.ScrollPaneButtonPolicyKind>`, `Constable`

Enclosing class:
  `SubstanceConstants`

public static enum SubstanceConstants.ScrollPaneButtonPolicyKind extends Enum<SubstanceConstants.ScrollPaneButtonPolicyKind>
Enumerates possible button policies for scroll panes.

See Also:
  - `SubstanceLookAndFeel.SCROLL_PANE_BUTTONS_POLICY`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADJACENT`
The `adjacent` button policy - both the decrease button and the increase button are on the same side of the scroll bar adjacent to each other (like on Mac).
`MULTIPLE`
The `multiple` button policy - there are two decrease buttons on the opposite side of the scroll bar and the increase button is adjacent to the second decrease button.
`MULTIPLE_BOTH`
The `multiple both` button policy - there are two pairs of decrease-increase buttons on the opposite sides of the scroll bar.
`NONE`
The `empty` button policy - no buttons.
`OPPOSITE`
The `opposite` (default) button policy - the decrease button is on one side of the scroll bar, and the increase button is on the other side of the scroll bar.

## Method Summary

Modifier and Type
Method
Description
`static SubstanceConstants.ScrollPaneButtonPolicyKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SubstanceConstants.ScrollPaneButtonPolicyKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final SubstanceConstants.ScrollPaneButtonPolicyKind NONE
The `empty` button policy - no buttons.

### OPPOSITE

public static final SubstanceConstants.ScrollPaneButtonPolicyKind OPPOSITE
The `opposite` (default) button policy - the decrease button is on one side of the scroll bar, and the increase button is on the other side of the scroll bar.

### ADJACENT

public static final SubstanceConstants.ScrollPaneButtonPolicyKind ADJACENT
The `adjacent` button policy - both the decrease button and the increase button are on the same side of the scroll bar adjacent to each other (like on Mac).

### MULTIPLE

public static final SubstanceConstants.ScrollPaneButtonPolicyKind MULTIPLE
The `multiple` button policy - there are two decrease buttons on the opposite side of the scroll bar and the increase button is adjacent to the second decrease button. This combines the `OPPOSITE` and the `ADJACENT` policies together.

### MULTIPLE_BOTH

public static final SubstanceConstants.ScrollPaneButtonPolicyKind MULTIPLE_BOTH
The `multiple both` button policy - there are two pairs of decrease-increase buttons on the opposite sides of the scroll bar. This extends the `MULTIPLE` policy.

## Method Details

### values

public static SubstanceConstants.ScrollPaneButtonPolicyKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SubstanceConstants.ScrollPaneButtonPolicyKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null